nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
CameraManager Class Reference
Inheritance diagram for CameraManager:

## Public Member Functions
| CameraManager (const nxcip::CameraInfo &info)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual int | getEncoderCount (int *encoderCount) const override
| Implementation of nxcip::BaseCameraManager::getEncoderCount.
virtual int | getEncoder (int encoderIndex, nxcip::CameraMediaEncoder **encoderPtr) override
| Implementation of nxcip::BaseCameraManager::getEncoder.
virtual int | getCameraInfo (nxcip::CameraInfo *info) const override
| Implementation of nxcip::BaseCameraManager::getCameraInfo.
virtual int | getCameraCapabilities (unsigned int *capabilitiesMask) const override
| Implementation of nxcip::BaseCameraManager::getCameraCapabilities.
virtual void | setCredentials (const char *username, const char *password) override
| Implementation of nxcip::BaseCameraManager::setCredentials.
virtual int | setAudioEnabled (int audioEnabled) override
| Implementation of nxcip::BaseCameraManager::setAudioEnabled.
virtual nxcip::CameraPtzManager * | getPtzManager () const override
| Implementation of nxcip::BaseCameraManager::getPTZManager.
virtual nxcip::CameraMotionDataProvider * | getCameraMotionDataProvider () const override
| Implementation of nxcip::BaseCameraManager::getCameraMotionDataProvider.
virtual nxcip::CameraRelayIOManager * | getCameraRelayIOManager () const override
| Implementation of nxcip::BaseCameraManager::getCameraRelayIOManager.
virtual void | getLastErrorString (char *errorString) const override
| Implementation of nxcip::BaseCameraManager::getLastErrorString.
virtual int | createDtsArchiveReader (nxcip::DtsArchiveReader **dtsArchiveReader) const override
| Implementation of nxcip::BaseCameraManager2::createDtsArchiveReader.
virtual int | find (nxcip::ArchiveSearchOptions *searchOptions, nxcip::TimePeriods **timePeriods) const override
| Implementation of nxcip::BaseCameraManager2::find.
virtual int | setMotionMask (nxcip::Picture *motionMask) override
| Implementation of nxcip::BaseCameraManager2::setMotionMask.
const nxcip::CameraInfo & | info () const
nxpt::CommonRefManager * | refManager ()
const DirContentsManager & | dirContentsManager () const
DirContentsManager * | dirContentsManager ()

## Additional Inherited Members
Public Types inherited from nxcip::BaseCameraManager2
enum | CameraCapability2 { searchByMotionMaskCapability = 0x1000, motionRegionCapability = 0x2000 }
| Enumeration of supported camera capabilities (bit flags) More...
Public Types inherited from nxcip::BaseCameraManager
enum | CameraCapability { hardwareMotionCapability = 0x0001, relayInputCapability = 0x0002, relayOutputCapability = 0x0004, ptzCapability = 0x0008, audioCapability = 0x0010, shareFpsCapability = 0x0020, sharePixelsCapability = 0x0040, shareIpCapability = 0x0080, dtsArchiveCapability = 0x0100, nativeMediaStreamCapability = 0x0200, primaryStreamSoftMotionCapability = 0x0400, cameraParamsPersistentCapability = 0x0800, searchByMotionMaskCapability = 0x1000, motionRegionCapability = 0x2000, needIFrameDetectionCapability = 0x4000, relativeTimestampCapability = 0x8000, customMediaUrlCapability = 0x10000, cameraTimeCapability = 0x20000, fixedQualityCapability = 0x40000, MulticastStreamCapability = 0x80000, ServerBoundCapability = 0x100000, dontAutoOpenCamera = 0x200000, noAnalytics = 0x400000, noVideo = 0x800000, ioDeviceCapability = 0x1000000 }
| Enumeration of supported camera capabilities (bit flags) More...

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/camera_manager.h
- samples/device/image_library_plugin/src/camera_manager.cpp